Name:       ibus-table-wubi
Version:    1.2.0.20090715
Release:    8%{?dist}

Summary:        Wubi input methods for ibus-table
Summary(zh_CN): IBus-Table 五笔码表
Summary(zh_HK): IBus-Table 五筆碼表
Summary(zh_TW): IBus-Table 五筆碼表

License:    GPLv3+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus-table >= 1.2
Requires(post):   ibus-table >= 1.2
BuildRequires:    ibus-table-devel >= 1.2

%description
The package contains Wubi input methods for Table engine of IBus platform. 

%description -l zh_CN
本包含有 IBus-Table 五笔码表。

%description -l zh_HK
呢個包有 IBus-Table 五筆碼表。

%description -l zh_TW
此套件包含 IBus-Table 五筆碼表。

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o"
%configure --prefix=%{_prefix} --enable-wubi86
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n wubi86.db

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-table/tables/wubi86.db
%{_datadir}/ibus-table/icons/wubi86.svg


%changelog

